summaryrefslogtreecommitdiff
path: root/jwst_lib/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jwst_lib/build.sh')
-rw-r--r--jwst_lib/build.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/jwst_lib/build.sh b/jwst_lib/build.sh
index ced0780..1b0b189 100644
--- a/jwst_lib/build.sh
+++ b/jwst_lib/build.sh
@@ -2,5 +2,11 @@
pip install --no-deps --force --upgrade d2to1
for d in jwst_lib/*
do
-( cd $d && python setup.py install || exit 1 )
-done \ No newline at end of file
+ case "$d" in
+ # Append deprecated packages here to disable them
+ */modeling) continue ;;
+ */wcs) continue ;;
+ *) echo "Processing package: $d" ;;
+ esac
+ ( cd $d && python setup.py install || exit 1 )
+done